/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.sed.cmd;

import net.morilib.sed.SedCommand;

public abstract class SedSimpleCommand implements SedCommand {

	private String desc;
	private char name;

	/**
	 * 
	 * @param name
	 * @param desc
	 */
	protected SedSimpleCommand(char name, String desc) {
		this.name = name;
		this.desc = desc;
	}

	public String getLongDescription() {
		return desc;
	}

	public char getName() {
		return name;
	}

}
